<?php

/**
 * Class that operate on table 'sellbillandruterncurr'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2023-03-07 01:57
 */
class SellbillandruterncurrMySqlExtDAO extends SellbillandruterncurrMySqlDAO {

    public function updateSaveConversionFactor($saveConversionFactor, $id) {
        $sql = 'UPDATE sellbillandruterncurr SET saveConversionFactor = ' . $saveConversionFactor . ' WHERE id = ' . $id;
        $sqlQuery = new SqlQuery($sql);
        return $this->executeUpdate($sqlQuery);
    }

    public function queryOneBySellbillid($value) {
        $sql = 'SELECT * FROM sellbillandruterncurr WHERE sellbillid = ?';
        $sqlQuery = new SqlQuery($sql);
        $sqlQuery->setNumber($value);
        return $this->getList($sqlQuery);
    }

}

?>